package cd.casic.ci.process.process.converter;

import cd.casic.ci.process.dto.req.template.TemplateStageCreateByDataReq;
import cd.casic.ci.process.dto.resp.template.TemplateStageResp;
import cd.casic.ci.process.process.dataObject.template.TemplateStage;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface TemplateStageConverter {
    TemplateStageConverter INSTANCE = Mappers.getMapper(TemplateStageConverter.class);
    public TemplateStageResp converter(TemplateStage stage);
    public List<TemplateStageResp> converter(List<TemplateStage> stage);

    TemplateStage stageDataToStageModule(TemplateStageCreateByDataReq o);
}
